@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('./utilities/designtoken.css');
@import url('./utilities/background.css');
@import url('./utilities/border.css');
@import url('./utilities/display.css');
@import url('./utilities/flexbox.css');
@import url('./utilities/float.css');
@import url('./utilities/interaction.css');
@import url('./utilities/normalize.css');
@import url('./utilities/margin.css');
@import url('./utilities/overflow.css');
@import url('./utilities/padding.css');
@import url('./utilities/position.css');
@import url('./utilities/sizing.css');
@import url('./utilities/typography.css');
@import url('./utilities/visibility.css');
@import url('./telerik/telerikOverride.css');
@import url('mfa.css');

* {
    font-family: 'Inter';
}

    *:focus {
        outline: none;
    }

    /* Scrollbar Width */
    *::-webkit-scrollbar {
        width: 8px;
        height: 8px;
    }

    /* Scrollbar Track */
    *::-webkit-scrollbar-track {
        background: transparent;
    }

    /* Scrollbar Handle */
    *::-webkit-scrollbar-thumb {
        background: var(--background-default-pressed);
        border-radius: 24px;
    }

        /* Scrollbar Handle on hover */
        *::-webkit-scrollbar-thumb:hover {
            background: var(--background-default-hovered);
        }

html {
    margin: 0;
    overflow-y: hidden;
}

form {
    display: contents;
}

body {
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.16px;
    margin: 0;
    color: var(--black);
    min-width: 1400px;
}

main {
    height: 100%;
    font-size: 14px;
}

button {
    border: none;
    background-color: transparent;
    padding: 0;
    cursor: pointer;
}

hr {
    width: 100%;
    margin: 0;
}

.container {
    display: flex;
    height: 100vh; /* 100% of the viewport height */
}

.page-section {
    padding: 24px;
    border-radius: var(--radius-xl) 0 0 var(--radius-xl);
    box-shadow: 0 3px 6px 1px var(--box-shadow-color);
    height: fit-content;
}

.vertical-divider {
    border-right: 1px solid var(--black);
    width: 0;
}

.horizontal-divider {
    border-color: var(--border-default);
    border-bottom: 1px solid var(--black);
}
